import { UpdateCallback } from "../../src/editor/autocomplete";
import { Caret } from "../../src/editor/caret";
import { PillPart, Part, PartCreator } from "../../src/editor/parts";
import DocumentPosition from "../../src/editor/position";
export declare class MockAutoComplete {
    _updateCallback: UpdateCallback;
    _partCreator: PartCreator;
    _completions: PillPart[];
    _part: Part | null;
    constructor(updateCallback: UpdateCallback, partCreator: PartCreator, completions: PillPart[]);
    close(): void;
    tryComplete(close?: boolean): void;
    onPartUpdate(part: Part, pos: DocumentPosition): void;
}
export declare function createPartCreator(completions?: PillPart[]): PartCreator;
export declare function createRenderer(): {
    (c?: Caret): void;
    count: number;
    caret: Caret | undefined;
};
export declare function isDocumentPosition(caret: Caret): caret is DocumentPosition;
